wiki: thoughts of WYSIWYG

2008-02-07 22:42 - glen geisen

Status: Reopened Start date: 2008-02-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Any thought of using WYSIWYG editing (FCKeditor), or embedding (or linking to) something like Mediawiki?

Related issues:

Related to Redmine - Feature #8095: Allow overriding the default text formatt... New 2011-04-07

Related to Redmine - Feature #26968: Integrate Mediawiki's VisualEditor New

Has duplicate Redmine - Feature #5312: CKEditor Closed 2010-04-14

Has duplicate Redmine - Feature #9185: Wiki WYSIWYG editor Closed 2011-09-05

History

#1 - 2008-02-15 18:06 - Jean-Philippe Lang

- Status changed from New to Closed

FCKeditor seems to produce html code but Redmine wiki is not html based.

I don't know any WYSIWYG textile editor.

#2 - 2008-05-26 21:07 - rupert thurner

- Status changed from Closed to Reopened

would http://trac-hacks.org/wiki/TracWysiwygPlugin a possible approach?

#3 - 2008-05-26 22:41 - Auriel Manolson

We were looking at integrating WYSIYM or WYmean type editors

see http://www.wymeditor.org  or http://demo.wymeditor.org/demo.html

#4 - 2008-05-27 09:09 - Brendan Ragan

- File redmine-mediawiki.patch added

Here's a patch for 0.7 that will add a MediaWiki tab to your project settings and integrate it into the issues pages.

You will also need to add:

`is_mediawiki` tinyint(1) NOT NULL default '0',

`mediawikiurl` varchar(255) NOT NULL default '',

`mediawikinamespace` varchar(255) NOT NULL default ''

 To the projects table for this to work.

#5 - 2008-09-25 11:40 - Michael Mosburger

I took a look at the trac plugin. I think this might be good solution to start with, isn't it? Would be nice to have a wysiwyg for non-tech. users.

#6 - 2008-09-25 14:01 - Babar O'Cap

A good article on this topic http://blog.aisleten.com/2008/09/11/rails-textile-and-javascript-wysiwyg-roundup/

There is markItUp http://markitup.jaysalvat.com/home/

Look at the textile demo http://markitup.jaysalvat.com/examples/textile/

Maybe it's similar to Redmine AJAX preview feature.

2025-05-17 1/12

http://trac-hacks.org/wiki/TracWysiwygPlugin
http://www.wymeditor.org
http://demo.wymeditor.org/demo.html
http://blog.aisleten.com/2008/09/11/rails-textile-and-javascript-wysiwyg-roundup/
http://markitup.jaysalvat.com/home/
http://markitup.jaysalvat.com/examples/textile/


#7 - 2008-12-23 14:59 - taras kornichuk

Babar Le lapin wrote:

Maybe it's similar to Redmine AJAX preview feature.

 Feature up.

Is it necesary to use textile editor? Maybe should add also HTML based edirot + WYSIWYG ?

Can someone anser me ?

Thanks.

#8 - 2009-01-21 19:38 - Cary Fitzhugh

We're looking at redmine at work, and one desire is that all of the documentation could be written in the wiki.

Similar to Google Docs or something like that.

It appears that something like TinyMCE may work well.

Though - so I can help - what are the issues? Is textile the format that the page must be saved in?

I found this link: http://huddledmasses.org/greasemonkey-tinymce-editor/

But a bigger question is would it be a better idea to take the plunge, change the wiki rendering to be XHTML or something more standard, so you

could just drop in something robust like TinyMCE?

Or maybe - is there a plugin we are currently using for the editing that can be extended to do the things that I need it to do?

I'm up for helping get this done.

#9 - 2009-01-21 19:56 - Cary Fitzhugh

Another thing is that I'd like to get PDF download working for the wiki as well. So if someone decides to write up an RFQ or something in the wiki, we

can export it to PDF to send to a client.

I'm up for helping with these things, just don't know where to start.

#10 - 2009-01-26 16:02 - Cary Fitzhugh

Saw this as well -

http://developer.yahoo.com/yui/editor/

#11 - 2009-02-11 22:01 - rupert thurner

Jean-Philippe Lang wrote:

FCKeditor seems to produce html code but Redmine wiki is not html based.

I don't know any WYSIWYG textile editor.

 http://moinmo.in uses fckeditor, and converts the html back to wiki markup: 

http://hg.moinmo.in/moin/1.9/file/e86a7b66eb0e/MoinMoin/converter/text_html_text_moin_wiki.py.

#12 - 2009-04-02 11:10 - Peter Muusers-Meeuwsen

Jean-Philippe Lang wrote:

FCKeditor seems to produce html code but Redmine wiki is not html based.

I don't know any WYSIWYG textile editor.

 There seems to be some work in progress at http://mediawiki.fckeditor.net/

Can anyone tell if this is a possible addition for redmine? Unfortunately i'm not really into Ruby language (yet), so at the moment i'm not able to try

implementing this myself (i'm happy to have been able to install ruby/redmine properly on my server :))

Once you know wiki-markup, it's pretty straightforward, but a lot of non-tech people can't make any sense of it and prefer a wysiwyg-approach. If a

wysiwyg-solution is available for textile markup, i think it would be a lot easier to 'sell' this to the general audience, and make it a more pleasant and

accessible workflow to actually participate in projects... In my experience, a lot of end-users are turned off by the Textile markup. It feels like teaching

them HTML is easier than teaching them Textile, because the HTML tags have some sensible descriptions that they can relate to.

Anyway (let's not make this a rant about Textile... ;)).... Any thoughts of implementing fckeditor as they did at http://mediawiki.fckeditor.net/ ?

I'd be happy to help out where i can.

Cheers,

Peter
#13 - 2009-05-22 14:23 - Tim Aleinikoff

- File error_log added

Is it works on current versions? 0.8.3, 0.8.4, trunk ?

I try to install on 0.8.3 and receive errors  ( log in attachment ).

#14 - 2009-05-22 22:15 - Jens Goldhammer

What´s the status of this topic? Change to html? Keep textile?

I think, this topic is very important for the future of redmine. In my eyes, the wiki should be easy to use by the users and have a good export

possibility. Extensions and macros should be easily added. Look at Confluence- They also integrate a good wysiwyg editor and convert it to their

special syntax. They have a great pdf export.

What are your thoughts?

Thanks,

Jens

#15 - 2009-06-22 17:11 - Andy McMaster

Hi,

Any update on this please? Just starting to use Redmine and very impressed but would like to move existing wiki use into a more project based

format (i.e. Redmine). Currently using vqwiki.

However, a better editor would make some users lives easier...

Cheers

Andy

#16 - 2009-08-06 15:58 - Holger Winkelmann

Cary Fitzhugh wrote:

Saw this as well -

http://developer.yahoo.com/yui/editor/

 Hi, I was thinking of the YUI Editor as well because of the feature

I have seen in the flickr example http://developer.yahoo.com/yui/examples/editor/flickr_editor.html

Tgis way we can reference objects in redmine like Ticket, Changesets etc. by adding a button and make a

AJAX based search for the redmine objects (i.e. Ticket description) the Editor inserts the correct link

then.

#17 - 2009-12-02 04:34 - and l

Update??

This is a really important feature, it would be great if the community could be informed of it's status.

Thanks for the great work.

#18 - 2010-01-12 21:56 - David Cullen

Hi Folks,

Just started to use Redmine, I was wondering if there is any definative update on this issue? It seems that there is a patch for 0.7 from Brendan

Ragan but no mention as to wether what other versions the patch will work for. I think a WYSIWYG editor for a Wiki is a must not just for the products

apeal but for productivity alone.

Dave

#19 - 2010-02-15 20:50 - Tyler Mulligan

I too would like to see this feature.  It would certainly help the less tech savvy users contribute to the wiki

#20 - 2010-02-16 00:04 - and l

It seems this feature is in demand by users but their aren't the coders to make it happen. Is there are bounty system in redmine or what's the process

for getting tickets like these into coders priorities?

We use redmine for tech work but increasingly for non-tech projects as well. The current wiki prevents non-tech users from really getting active in the

system.
This ticket is really an opportunity for redmine to expand it's reach and user base.

#21 - 2010-02-16 08:54 - Jeffrey Jones

Textile was designed to be a "sane" version of HTML and be user friendly (i.e. usable by non-techies) however if that isn't enough then usually the

best way to get something put into an open-source project is to roll up your sleeves or offer to pay someone to develop the code.

Maybe contact the core members directly or ask in the plugin forum since the plugin writers probably have a reasonably good knowledge of the

code-based.

I am totally 100% against the idea of switching the wiki to XHTML markup without allowing users to stick with textile. Personally my experience of

WYSIWYG editors like fck and TinyMCE is ...varied.

#22 - 2010-02-16 14:39 - Tyler Mulligan

In my experience textile has been more confusing to users than anything.  Especially if they are actually semi-technical users coming from wiki's that

use more common syntax.  Regardless of that point, I think a stronger WYSIWYG is needed.

I found a decent textile WYSIWYG editor which layers on top of Textile which can be a start to a transition to an easier time in the wiki for your

average user: http://tore.darell.no/sanskrit/

#23 - 2010-02-17 22:26 - federico silva

Jeffrey Jones wrote:

Textile was designed to be a "sane" version of HTML and be user friendly (i.e. usable by non-techies)

 In my experience it is me or the other devs the ones who end up editing the documentation the users should provide in the wiki and the tickets

get full of format atrocities due to users pasting text which ends up evaluated as textile.

Several clients have asked us to use google pages (wiki template) and drop "that thing' which is a shame, really.

Jeffrey Jones wrote:

however if that isn't enough then usually the best way to get something put into an open-source project is to roll up your sleeves or offer to pay

someone to develop the code.

 I am (very slowly) looking into it; so any news about anyone also doing it would be welcome.

I will post back when there is something worth showing.

Regargs, fede

#24 - 2010-02-28 04:50 - Eric Davis

Other markup formats can be created as plugins using the wiki_format_provider API.  For example there is a Markdown version.

#25 - 2010-03-03 03:34 - G N

I have used several markup languages on wikis, bug trackers, blog and cms engines. All are fine, but when it comes down to productivity, nothing

compares to wysiwyg, especially when content is written by people not so familiar with computers.

The Redmine feature set makes it a rather general project management platform that can be used for virtually any kind of project and not just

software. I think that supporting a wysiwyg editor for wiki/issues/forums, which would store content as XHTML, would be a useful addition.

I was a big fan of the markdown and restructured text formats, until I tried to use TinyMCE in a django project a few months ago. I ain't going back... I

just realized WYSIWYG editors have evolved. Also, WYMeditor seems like another great choice. It gives enough choice to the user, but not too much

to cause any kind of trouble.

My $0.02

#26 - 2010-03-04 06:41 - Eric Davis

- Category set to Plugin Request

#27 - 2010-03-10 09:48 - Oshyan Greene

I agree this is a very useful feature, and while I recognize the value of Textile and wiki syntax, I see no good reason why that can't be compatible with

WYSIWYG. I'd be willing to help sponsor this. As someone else asked, is there any formal way to sponsor, vote for, or otherwise support

development on an issue?

#28 - 2010-03-10 15:49 - Andreas Schnederle-Wagner

As we would also need a WYSIWYG within Redmine (non-techs working on wiki) we also would be willing to sponsor the development of this feature
- is there a way to do so?

We even thought about hiring an own coder to write this plugin for us - but if there is something in the pipe it would be nonsense to code the same

plugin several times ... ;-)

Feedback anyone?

#29 - 2010-03-10 16:51 - Tyler Mulligan

I too would be willing to sponsor the development of this.

I tried to hack in http://tore.darell.no/sanskrit/ and it was clear some of the work involved was over my head.

#30 - 2010-03-17 20:11 - rupert thurner

George Notaras wrote:

The Redmine feature set makes it a rather general project management platform that can be used for virtually any kind of project and not just

software. I think that supporting a wysiwyg editor for wiki/issues/forums, which would store content as XHTML, would be a useful addition.

I was a big fan of the markdown and restructured text formats, until I tried to use TinyMCE in a django project a few months ago. I ain't going

back... I just realized WYSIWYG editors have evolved. Also, WYMeditor seems like another great choice. It gives enough choice to the user, but

not too much to cause any kind of trouble.

 how is a (readable) diff to the privious version done in this case?

#31 - 2010-03-17 20:38 - Tyler Mulligan

how is a (readable) diff to the privious version done in this case?

 With XHTML, just like any other code?  I'm fairly certain it's possible to rig up something more visual, doing something like etherpad does with

different background colors showing different editors.

#32 - 2010-03-26 19:15 - Hubert SABLONNIERE

Hi,

I'm a developper and like most of you here, I think a WYSIWYG editor for the wiki is a must in order to get Redmine used by everyone in a project

(including non technical users).

I've done some tries in a dirty way (using CKEditor) and I think I would be able to make a clean WYSIWYG plugin. I think I'll use tinyMCE which

seems to be more suitable.

I'll try to start in this order:

1. Modify views not to interpret contents as textile but as (X)HTML.

2. Modify textareas as WYSIWYG editors. (the toolbar would only include already existing buttons)

3. Implement new buttons in order to supply special links (tickets, revisions, wiki pages...)

I think I would be able to start in April.

Meanwhile, do not hesitate to comment.

#33 - 2010-03-26 19:23 - Hubert SABLONNIERE

I forgot to mention stuffs about diffs. I think what Google Docs does or etherpad (thx Tyler) is a good start to study.

1. Modify views not to interpret contents as textile but as (X)HTML.

2. Modify textareas as WYSIWYG editors. (the toolbar would only include already existing buttons)

3. Implement new buttons in order to supply special links (tickets, revisions, wiki pages...)

1. Implement diff between versions

#34 - 2010-03-31 11:35 - Akihiro Ono

I tried to implement Redmine CKEditor Plugin.

http://github.com/a-ono/redmine_ckeditor

CKEditor is added as a text formatting. (refs #2025)

There was a textile dependency in IssuesController#reply, so I thought it should be eliminated.
Contents are simply treated as HTML.

I hope it will serve as a reference.

#35 - 2010-04-02 04:07 - Eric Voisard

Sure my non-tech colleagues would appreciate such a plugin, especially since CKEditor is already available in other webapps we're using.

But how do plain text email notifications look? Is html correctly removed? (because I guess resulting html is more complex than textile's one)

Eric

#36 - 2010-04-02 05:17 - Akihiro Ono

Eric Voisard wrote:

But how do plain text email notifications look? Is html correctly removed? (because I guess resulting html is more complex than textile's one)

 It is easy only to remove html tags.

But it seems you should select html email if you need readability.

#37 - 2010-04-02 15:11 - Vladimir Dzalbo

Akihiro,

That is really a great plugin indeed! I like it a lot.. The only difficulty I am having now is with integrating pictures into the page. Normally you would

want to put an attachment picture and put it into the issue comment within one update..

Anybody has any ideas on how to overcome this?

#38 - 2010-04-02 16:28 - Eric Voisard

One more concern: how about the readability of an issue history. I mean with textile, text formating is limited to a small set of font sizes and a few of

html tags, while with powerful editors such as CKEditor, users can give their updates the look they want.

Wouldn't it be much more difficult to find our way through the history of an issue, if "Updated by ...> lines get burried into a long and "multi-styled" html

page (dependent on users skills in graphic arts)?...

I think such advanced editors would be cool for Wiki documentation but I'm not convinced about their usage in issue management. Well, one still can

define some policy for editing issues (use default font/size, list of allowed tags).

Or can we make CKEditor providing different sets of functionalities and styles depending if it's used for wiki edition or issue updates?...

#39 - 2010-04-03 02:09 - Hubert SABLONNIERE

- File logo.gif added

I agree with Eric, I think having to much power in the WYSIWYG editor is a bad think. Maybe we should stick to features which are on the current

toolbar and maybe add some preconfigured styles (by the admin). This way the project wikis can have a relative common look on every pages.

Concerning issue history, the formatting limits should be quiet the same as the ones currently in use.

About the picture integration, especially the one update thing, there's really some thinking to do...

#40 - 2010-04-06 17:19 - Eraldo Girardi

Akihiro Ono wrote:

I tried to implement Redmine CKEditor Plugin.

http://github.com/a-ono/redmine_ckeditor

 Great plugin! Works well on 0.9.3 but conflicts with subtask_plugin.

I have this trace:

ActionView::TemplateError (undefined method `issues_family_content' for #<ActionView::Base:0x672bb3>) on line 

#45 of vendor/plugins/redmine_subtasks/app/views/issues/_list.rhtml:

42:                          parents_on_first_lvl += [ first_parent ] unless parents_on_first_lvl.include?( fi

rst_parent)

43:                      end -%>

44:                 <% parents_on_first_lvl.each do |parent| -%>

45:                     <%= issues_family_content( parent, issues, query, emphasis_issues) %>

46:                 <% end -%>

47:       <% end -%>

48:     </tbody>
    vendor/plugins/redmine_subtasks/app/views/issues/_list.rhtml:45:in `_run_rhtml_vendor47plugins47redmine_su

btasks47app47views47issues47_list46rhtml_locals_issues_list_object_query'

    vendor/plugins/redmine_subtasks/app/views/issues/_list.rhtml:44:in `each'

    vendor/plugins/redmine_subtasks/app/views/issues/_list.rhtml:44:in `_run_rhtml_vendor47plugins47redmine_su

btasks47app47views47issues47_list46rhtml_locals_issues_list_object_query'

    vendor/plugins/redmine_subtasks/app/views/issues/_list.rhtml:1:in `_run_rhtml_vendor47plugins47redmine_sub

tasks47app47views47issues47_list46rhtml_locals_issues_list_object_query'

    vendor/plugins/redmine_subtasks/app/views/issues/index.rhtml:55:in `_run_rhtml_vendor47plugins47redmine_su

btasks47app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:78:in `index'

    app/controllers/issues_controller.rb:77:in `index'

    file:/lib/jruby-rack-0.9.7.jar!/rack/adapter/rails.rb:36:in `serve_rails'

    file:/lib/jruby-rack-0.9.7.jar!/rack/adapter/rails.rb:41:in `call'

    file:/lib/jruby-rack-0.9.7.jar!/jruby/rack/rails.rb:149:in `call'

    file:/lib/jruby-rack-0.9.7.jar!/rack/handler/servlet.rb:19:in `call'

    :1

Rendered rescues/_trace (265.0ms)

Rendered rescues/_request_and_response (32.0ms)

Rendering rescues/layout (internal_server_error)

 I tried to solve but without luck.. I'm not so ruby involved..

Do you have any suggestion?

Thanks!

#41 - 2010-04-06 22:44 - Hubert SABLONNIERE

Little update:

I worked this weekend on my own WYSIWYG plugin using tinyMCE editor. Akihiro's project helped me a lot, thanks again!

I achieved a simple implementation of the editor the same way. Once installed, you've go to set TinyMCE as the text formatting in configuration.

FYI, I'll definitly spend the necessary amount of time to have something decent over the next 2 weeks. Be patient.

I'll create my github repo later this week with a small roadmap of the plugins I intend to develop (links, images...)

#42 - 2010-04-21 10:59 - Mingcai SHEN

Hello,

Thanks for your work. But what do you think CKEditor+CKFinder?

Regards.

--

Hubert SABLONNIERE wrote:

Little update:

I worked this weekend on my own WYSIWYG plugin using tinyMCE editor. Akihiro's project helped me a lot, thanks again!

I achieved a simple implementation of the editor the same way. Once installed, you've go to set TinyMCE as the text formatting in configuration.

FYI, I'll definitly spend the necessary amount of time to have something decent over the next 2 weeks. Be patient.

I'll create my github repo later this week with a small roadmap of the plugins I intend to develop (links, images...)

#43 - 2010-04-21 11:33 - Eraldo Girardi

You read my mind. CKEditor is really useful but there's a serious problem with the image upload. It has to be configured to use a certain page to

upload images but how to do this in Redmine?

CKFinder can't help because it needs php or asp to work.

Do someone knows how to use an url to load an attachment to Redmine?

Please see this page: CKEditor File Browser Uploader

Mingcai SHEN wrote:

Hello,

Thanks for your work. But what do you think CKEditor+CKFinder?
Regards.

--

#44 - 2010-05-15 10:51 - Hubert SABLONNIERE

Hi WYSIWYG fans,

My work on the plugin is in progress! I also found a little name for it : Tinymine. (Redmine wysiwyg tinyMCE was very long). Here's my roadmap:

v0.1.0

The WYSIWYG replace the classic editor

A button on the toolbar allows you to add a link to a wiki page

A button on the toolbar allows you to save your work without going back to the view

FYI: There's features are almost done, there's still some little bugs.

v0.2.0

A button on the toolbar for document links

A button on the toolbar for version links

A button on the toolbar for SCM files links

A button on the toolbar for the TOC

v0.3.0

Handling images with some kind of graphical browser/finder.

A button on the toolbar for code with syntax coloration

v0.4.0

Handling diffs

A task for automatic textile 2 html conversion a one or more projects

I'll publish my code on github once the v0.1.0 will be done.

Regards.

#45 - 2010-05-15 12:47 - Holger Winkelmann

Hey Hubert,

Soounds great ;-) what about links to issues ?

#46 - 2010-05-15 14:26 - Hubert SABLONNIERE

Holger Winkelmann wrote:

Hey Hubert,

Soounds great ;-) what about links to issues ?

 Thanks Holger that's right, I took the list of the macro from the RedmineWikiFormatting page and completly forgot the first part about issues and

changesets. I'll take care of it in v0.2.0

#47 - 2010-05-15 15:25 - Holger Winkelmann

Hubert SABLONNIERE wrote:

Thanks Holger that's right, I took the list of the macro from the RedmineWikiFormatting page and completly forgot the first part about issues and

changesets. I'll take care of it in v0.2.0

 Good to know, this approach combined with the autocomplete controller can be a huge step for editing wiki content. But I talked about this already in

comment 16 of this issue above. ;-)

#48 - 2010-06-18 11:56 - Benjamin FRAUD

Hi Hubert.

Have you made any progress in your work? This feature sounds really interesting, and we're already using TinyMCE in another project. I was

wondering though, will it be possible to catch a link when opening the file browser, so it can easily be copied in the main text field? In our current
version of TinyMCE used with a PHP application, we open the file when clicking on it, it would be really cool if we could copy the link to the clipboard.

Thank you for your work. Have a nice one!

#49 - 2010-06-18 21:04 - Hubert SABLONNIERE

Hi Benjamin,

I've been a little busy these times. I'll try to spend some time this week end.

Thanks again for your interest!

#50 - 2010-07-01 08:34 - Nicholas Kulikov

+1 vote for WYSIWYG editor. Now we are using integration with CKEditor (http://github.com/a-ono/redmine_ckeditor) but it has weak support of links

and file uploading. Moreover, some views (for example, Activity) do not display this markup correctly.

#51 - 2010-07-01 12:54 - Hubert SABLONNIERE

Thanks for your remarks. I made some progress on link insertion. I'll try to push my code soon.

#52 - 2010-07-01 14:29 - Eraldo Girardi

Great Hubert! Hope to see you soon with other good news!

#53 - 2010-07-19 10:38 - Benjamin FRAUD

Hi!

I'm using CKEditor too (at least for the time being), and like Nicholas I'm facing some trouble with the links and uploading functions. Apparently the

support of links to wiki pages inside Redmine is not handled, which force the user to use the adress bar to create a new wiki page. Would it be

possible to add this functionnality? And I'm still looking for a way to catch a file link with some kind of browser through a webdav protocol, any chance

someone might know something about that?

#54 - 2010-08-10 20:22 - Hubert SARRET

Nice job Hubert ;)

#55 - 2010-09-06 23:40 - Alexander A

Nicholas Kulikov wrote:

+1 vote for WYSIWYG editor. Now we are using integration with CKEditor (http://github.com/a-ono/redmine_ckeditor) but it has weak support of

links and file uploading. Moreover, some views (for example, Activity) do not display this markup correctly.

 Nicholas, а каким образом решили вопрос с отображением в настройках плагина информации, которая в

/plugins/redmine_ckeditor/config/locales/ru.yml

Я создал такой файл, пишу в нем кириллицей, но отображение некорректно. Пришлось пока транслитом и символами обходиться.

#56 - 2010-09-07 10:14 - Tony Rasskazov

CKeditor with redmine is a great feature. But now we can't switch on it, because we have many documents written in Wiki formatting (texttile) and

when we switch to CKeditor all texttile documents becomes unformatted. Can CKeditor produce texttile code? Or what should I do, to stay rendering

correct for old texttile documents, after switch on CKeditor?

#57 - 2010-09-14 15:48 - Nicholas Kulikov

Alexander A wrote:

Nicholas Kulikov wrote:

+1 vote for WYSIWYG editor. Now we are using integration with CKEditor (http://github.com/a-ono/redmine_ckeditor) but it has weak

support of links and file uploading. Moreover, some views (for example, Activity) do not display this markup correctly.

 Nicholas, а каким образом решили вопрос с отображением в настройках плагина информации, которая в

/plugins/redmine_ckeditor/config/locales/ru.yml

Я создал такой файл, пишу в нем кириллицей, но отображение некорректно. Пришлось пока транслитом и символами обходиться.

 Hey! :)

We do not use localization at all, so can't help you here.

Unfortunately current state of plugin is not very well for us. I've some unpredictable glitches when trying to make well formated text, so it takes a lot of
time to do that work... Dunno, I think that we will back to textile formating.

#58 - 2010-09-22 13:07 - Peter Lawrence

I've tried the redmine_ckeditor, but like others here it is not that practical since you need to reformat all your wiki pages to a new format. What I

requite is a wysiwyg editor for the textile format.

Ruby supports a method of converting textile to html and back again for example RedCloth3 which is used by Redmine.

So converting wiki textile pages to html for CKEditor and then back again shouldn't be a big issue.

I've tested this theory via a quick hack of the redmine code and it seems to work.

What I did was to replace the RedmineCkeditor::WikiFormatting code with the standard textile code. Then altered the redmine WikiController edit

function to convert the wiki page to html from textile format to html, using...

@content.text=RedCloth3.new(@content.text).to_html

....and then on post I convert the contents back again using...

          htmlparser = HTMLToTextileParser.new

          htmlparser.feed(params[:content][:text])

          params[:content][:text]=htmlparser.to_textile

The HTMLToTextileParser came from http://jystewart.net/process/2007/11/converting-html-to-textile-with-ruby/    

Any suggestions on the correct way of overloading WikiController edit and preview function via a plug-in interface would be useful.

#59 - 2010-10-06 22:15 - Paul paul

Any suggestions on the correct way of overloading WikiController edit and preview function via a plug-in interface would be useful.

 Peter, do you have patches for the changes you've made?

Getting this to work properly (including the edit / preview functions) would be very useful for many of us.

Thank you.

#60 - 2010-10-07 13:07 - Peter Lawrence

For info on obtaining the code see the forum topic

[[http://www.redmine.org/boards/3/topics/17852]]

Note this is just a test application that should not be used outside a developmental environment.

#61 - 2011-03-02 09:14 - Ludovic Leroux

Brendan Ragan wrote:

Here's a patch for 0.7 that will add a MediaWiki tab to your project settings and integrate it into the issues pages.

You will also need to add:

[...]

To the projects table for this to work.

 Brendan,

We try to use the redmine-mediawiki.patch with the redmine 1.0.4 version.

It doesn't work and we have the error :

ActionView::TemplateError (Missing template projects/settings/_mediawiki.erb in view path app/views) on line #24 of app/views/common/_tabs.rhtml:

What is our problem ?

#62 - 2011-05-11 09:47 - Terence Mill

Did anyone checkout if https://github.com/ebrahim/redmine_ckeditor can do that?

#63 - 2011-08-02 00:56 - Jim Nelson

Eric Voisard wrote:

Sure my non-tech colleagues would appreciate such a plugin, especially since CKEditor is already available in other webapps we're using.
But how do plain text email notifications look? Is html correctly removed? (because I guess resulting html is more complex than textile's one)

Eric

 We've been using CKEditor with Redmine for a bit now and plain text email notification is the one sticking point.  Email notifications arrive with HTML

formatting, even if Redmine is configured to send only plain text.  The email is garbled, especially if it contains more than basic formatting.  It doesn't

appear the author plans on fixing this:

https://github.com/a-ono/redmine_ckeditor/issues/7

#64 - 2011-08-02 00:57 - Jim Nelson

Rereading my comment, perhaps I wasn't clear about one point: it's not that the emails arrive as HTML mail, but rather as plain text with HTML

formatting codes embedded throughout.

#65 - 2011-08-02 01:19 - Terence Mill

The more bigger problem is that it is not possible to migrate to ckeditor and back because ckeditor doesn't use textile as internally markup.

If using html editor how can i enter an use wiki macros, esecially how will that work on a WYSIWYG editor, because marcos need a server roundtrip

to render.

#66 - 2011-08-02 18:19 - Eric Voisard

Jim Nelson wrote:

Rereading my comment, perhaps I wasn't clear about one point: it's not that the emails arrive as HTML mail, but rather as plain text with HTML

formatting codes embedded throughout.

 I see, content is just sent as is, with text/plain MIME type. They aren't MIME multipart emails with a text/html section as they should. Mmh...

Eric

#67 - 2011-09-05 09:16 - Andrew Krasnoff

- File screenshot_wiki.PNG added

At current point I saw the best WYSIWYG Wiki editor in the Atlassian Confluence product.

I've added screenshot with Atlassian wiki editor.

It very difficult to edit wiki tables in the current redmine wiki editor.

Atlassian wiki editor make it more simple.

This site use the same wiki editor: [[http://www.laits.utexas.edu/colaguides/content/wiki-site-editing]]

It based on http://www.tinymce.com

#68 - 2011-11-12 20:17 - Joe McLaughlin

_Here's a patch for 0.7 that will add a MediaWiki tab to your project settings and integrate it into the issue

s pages.

You will also need to add:

`is_mediawiki` tinyint(1) NOT NULL default '0',

`mediawikiurl` varchar(255) NOT NULL default '',

`mediawikinamespace` varchar(255) NOT NULL default ''

To the projects table for this to work._

 This patch appears to be missing some critical files, such as the /app/views/projects/settings/_mediawiki.rhtml file.  Does not seem to work with what

was provided.

#69 - 2011-11-16 03:35 - Mischa The Evil

Joe McLaughlin wrote:

[...]

This patch appears to be missing some critical files, such as the /app/views/projects/settings/_mediawiki.rhtml file.  Does not seem to work with

what was provided.

 For your information: that patch was created against Redmine 0.7.x, which is heavily outdated since we're currently on 1.2.x. That patch most likely

won't work anymore and does probably not apply anymore also.
#70 - 2011-12-01 06:05 - Joe McLaughlin

Any information you could give on an updated version of the patch???  I'm trying to basically reproduce it myself, but if something already exists...

#71 - 2012-12-03 01:50 - Joshua Lee

Now we can use CKEditor+CKFinder.

[[http://www.redmine.org/plugins/ckfinder_for_redmine]]

#72 - 2013-05-23 09:10 - Dmitry K

Joshua Lee wrote:

Now we can use CKEditor+CKFinder.

[[http://www.redmine.org/plugins/ckfinder_for_redmine]]

 This solution is only for Windows. How about *nix (ubuntu)? Does anybody know, how to use it?

#73 - 2013-12-03 10:47 - Vito Marolda

Is this feature request scheduled somewhere in the near future? (Nearly)-seamless copy/paste of text/images/tables to/from other documents can

really boost productivity.

#74 - 2014-02-10 06:22 - Toshi MARUYAMA

- Related to Feature #5995: Text formatting can be dfferent base on project added

#75 - 2014-02-10 06:24 - Toshi MARUYAMA

- Related to Feature #8095: Allow overriding the default text formatting in each project added

#76 - 2014-02-10 06:27 - Toshi MARUYAMA

- Related to deleted (Feature #5995: Text formatting can be dfferent base on project)

#77 - 2018-01-31 15:38 - Toshi MARUYAMA

- Related to Feature #26968: Integrate Mediawiki's VisualEditor added

Files

redmine-mediawiki.patch 9.53 KB 2008-05-27 Brendan Ragan

error_log 9.05 KB 2009-05-22 Tim Aleinikoff

logo.gif 677 Bytes 2010-04-03 Hubert SABLONNIERE

screenshot_wiki.PNG 52.5 KB 2011-09-05 Andrew Krasnoff
